Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454637 - s-c-d can't start X server
Summary: s-c-d can't start X server
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-display
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 14:41 UTC by Tethys
Modified: 2018-04-11 11:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:45:19 UTC


Attachments (Terms of Use)
Output of running xinit with no xorg.conf file present (deleted)
2008-09-29 10:51 UTC, Tethys
no flags Details
Log file from running xinit with no xorg.conf present (deleted)
2008-09-29 10:51 UTC, Tethys
no flags Details
Output from s-c-d with no xorg.conf present (deleted)
2008-09-29 10:54 UTC, Tethys
no flags Details
Log file from running s-c-d with no xorg.conf present (deleted)
2008-09-29 10:55 UTC, Tethys
no flags Details
Working handcrafted xorg.conf (deleted)
2008-09-29 10:58 UTC, Tethys
no flags Details

Description Tethys 2008-07-09 14:41:08 UTC
Description of problem:
system-config-display can't start the X server

Version-Release number of selected component (if applicable):
system-config-display-1.0.51-9.fc9.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Run system-config-display
2.
3.
  
Actual results:
mrburns:~# system-config-display
Couldn't start X server on card 0
Couldn't start X server on card 1
Couldn't start X server with old config, trying with a fresh configuration
Couldn't start X server on card 0
Couldn't start X server on card 1
Error, failed to start X server.


Expected results:
Valid X config generated

Additional info:
With a fresh F9 install, X wouldn't start. Running s-c-d manually gave
this error. I can manually generate an X config that works. Given that
anaconda can do it in the install, why can't s-c-d? Even if it's just
dropping back to a vesa driver, it should at least be able to get to
the point of displaying *something*.

mrburns:~# lspci
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio
Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev f3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
00:19.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:19.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:19.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:19.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:05.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link)
02:00.0 VGA compatible controller: ATI Technologies Inc R480 [Radeon X800 GTO
(PCIE)]
02:00.1 Display controller: ATI Technologies Inc R480 [Radeon X800 GTO (PCIE)]
(Secondary)
08:0a.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 12)
08:0a.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
08:0b.0 PCI bridge: Advanced Micro Devices [AMD] AMD-8131 PCI-X Bridge (rev 12)
08:0b.1 PIC: Advanced Micro Devices [AMD] AMD-8131 PCI-X IOAPIC (rev 01)
80:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
80:01.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
80:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
80:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
81:00.0 VGA compatible controller: ATI Technologies Inc RV505 CE [Radeon X1550
64-bit]
81:00.1 Display controller: ATI Technologies Inc Unknown device 717f

Comment 1 Matěj Cepl 2008-07-15 23:30:24 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Tethys 2008-07-21 10:50:32 UTC
Bizarrely, uninstalling and reinstalling s-c-d seems to have fixed this
problem, even though it's still on version 1.0.51-9.fc9. It still doesn't
work properly, but I'll log those faults as separate bugs.

Comment 3 Tethys 2008-09-29 10:47:48 UTC
Looks like I spoke too soon. I don't know what was causing it to work
before, but it's now no longer working again.

Comment 4 Tethys 2008-09-29 10:51:04 UTC
Created attachment 317949 [details]
Output of running xinit with no xorg.conf file present

Comment 5 Tethys 2008-09-29 10:51:38 UTC
Created attachment 317950 [details]
Log file from running xinit with no xorg.conf present

Comment 6 Tethys 2008-09-29 10:54:53 UTC
Created attachment 317951 [details]
Output from s-c-d with no xorg.conf present

Comment 7 Tethys 2008-09-29 10:55:42 UTC
Created attachment 317952 [details]
Log file from running s-c-d with no xorg.conf present

Comment 8 Tethys 2008-09-29 10:58:10 UTC
Created attachment 317953 [details]
Working handcrafted xorg.conf

This is an xorg.conf that I made by hand for the system in question.
It works, albeit on only two of my three screens.

Comment 9 Bug Zapper 2009-06-10 01:59:44 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 17:45:19 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.